# Uses of Interface
org.opensaml.saml.saml1.core.AttributeValue

Packages that use AttributeValue
Package
Description
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of AttributeValue in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement AttributeValue
Modifier and Type
Class
Description
`class`
`AttributeValueImpl`
A concrete implementation of `AttributeValue`.
Methods in org.opensaml.saml.saml1.core.impl that return AttributeValue
Modifier and Type
Method
Description
`AttributeValue`
AttributeValueBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AttributeValue`
AttributeValueBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.